- Main Page
- Namespaces
- Classes
- Files
- Related Pages

- Search for |

- File List
- File Members

# PortableServerC.h File Reference

`#include "ace/config-all.h"`
`#include "tao/PortableServer/portableserver_export.h"`
`#include "tao/ORB.h"`
`#include "tao/SystemException.h"`
`#include "tao/Environment.h"`
`#include "tao/Object.h"`
`#include "tao/Sequence_T.h"`
`#include "tao/Objref_VarOut_T.h"`
`#include "tao/Seq_Var_T.h"`
`#include "tao/Seq_Out_T.h"`
`#include "tao/Policy_ForwardC.h"`
`#include "tao/OctetSeqC.h"`
`#include "tao/orb_typesC.h"`
`#include "tao/PortableServer/PS_ForwardC.h"`
`#include "tao/PortableServer/IdAssignmentPolicyC.h"`
`#include "tao/PortableServer/IdUniquenessPolicyC.h"`
`#include "tao/PortableServer/ImplicitActivationPolicyC.h"`
`#include "tao/PortableServer/RequestProcessingPolicyC.h"`
`#include "tao/PortableServer/ServantRetentionPolicyC.h"`
`#include "tao/PortableServer/ThreadPolicyC.h"`
`#include "tao/PortableServer/LifespanPolicyC.h"`

Include dependency graph for PortableServerC.h:

This graph shows which files directly or indirectly include this file:

## Namespaces
namespace | PortableServer
namespace | TAO
## Classes
class | PortableServer::POAList
class | PortableServer::POA
class | PortableServer::POA::AdapterAlreadyExists
class | PortableServer::POA::AdapterNonExistent
class | PortableServer::POA::InvalidPolicy
class | PortableServer::POA::NoServant
class | PortableServer::POA::ObjectAlreadyActive
class | PortableServer::POA::ObjectNotActive
class | PortableServer::POA::ServantAlreadyActive
class | PortableServer::POA::ServantNotActive
class | PortableServer::POA::WrongAdapter
class | PortableServer::POA::WrongPolicy
struct | TAO::Objref_Traits< ::PortableServer::POAManager >
struct | TAO::Objref_Traits< ::PortableServer::AdapterActivator >
struct | TAO::Objref_Traits< ::PortableServer::ServantManager >
struct | TAO::Objref_Traits< ::PortableServer::POA >
## Defines
#define | TAO_EXPORT_MACRO TAO_PortableServer_Export
#define | _PORTABLESERVER_POALIST_CH_
#define | _PORTABLESERVER_POAMANAGER__VAR_OUT_CH_
#define | _PORTABLESERVER_ADAPTERACTIVATOR__VAR_OUT_CH_
#define | _PORTABLESERVER_SERVANTMANAGER__VAR_OUT_CH_
#define | _PORTABLESERVER_POA_CH_
#define | _PORTABLESERVER_POA_ADAPTERALREADYEXISTS_CH_
#define | _PORTABLESERVER_POA_ADAPTERNONEXISTENT_CH_
#define | _PORTABLESERVER_POA_INVALIDPOLICY_CH_
#define | _PORTABLESERVER_POA_NOSERVANT_CH_
#define | _PORTABLESERVER_POA_OBJECTALREADYACTIVE_CH_
#define | _PORTABLESERVER_POA_OBJECTNOTACTIVE_CH_
#define | _PORTABLESERVER_POA_SERVANTALREADYACTIVE_CH_
#define | _PORTABLESERVER_POA_SERVANTNOTACTIVE_CH_
#define | _PORTABLESERVER_POA_WRONGADAPTER_CH_
#define | _PORTABLESERVER_POA_WRONGPOLICY_CH_
#define | _PORTABLESERVER_POAMANAGER__TRAITS_
#define | _PORTABLESERVER_ADAPTERACTIVATOR__TRAITS_
#define | _PORTABLESERVER_SERVANTMANAGER__TRAITS_
#define | _PORTABLESERVER_POA__TRAITS_
## Typedefs
typedef TAO_MngSeq_Var_T< POAList, TAO_Object_Manager< POA, POA_var > > | PortableServer::POAList_var
typedef TAO_MngSeq_Out_T< POAList, POAList_var, TAO_Object_Manager< POA, POA_var > > | PortableServer::POAList_out
typedef POAManager * | PortableServer::POAManager_ptr
typedef TAO_Objref_Var_T< POAManager > | PortableServer::POAManager_var
typedef TAO_Objref_Out_T< POAManager > | PortableServer::POAManager_out
typedef AdapterActivator * | PortableServer::AdapterActivator_ptr
typedef TAO_Objref_Var_T< AdapterActivator > | PortableServer::AdapterActivator_var
typedef TAO_Objref_Out_T< AdapterActivator > | PortableServer::AdapterActivator_out
typedef ServantManager * | PortableServer::ServantManager_ptr
typedef TAO_Objref_Var_T< ServantManager > | PortableServer::ServantManager_var
typedef TAO_Objref_Out_T< ServantManager > | PortableServer::ServantManager_out
## Functions
TAO_PortableServer_Export void | operator<<= (CORBA::Any &, const PortableServer::POAList &)
TAO_PortableServer_Export void | operator<<= (CORBA::Any &, PortableServer::POAList *)
TAO_PortableServer_Export CORBA::Boolean | operator>>= (const CORBA::Any &, PortableServer::POAList *&)
TAO_PortableServer_Export CORBA::Boolean | operator>>= (const CORBA::Any &, const PortableServer::POAList *&)
TAO_PortableServer_Export void | operator<<= (CORBA::Any &, PortableServer::POA_ptr)
TAO_PortableServer_Export void | operator<<= (CORBA::Any &, PortableServer::POA_ptr *)
TAO_PortableServer_Export CORBA::Boolean | operator>>= (const CORBA::Any &, PortableServer::POA_ptr &)
TAO_PortableServer_Export void | operator<<= (CORBA::Any &, const PortableServer::POA::AdapterAlreadyExists &)
TAO_PortableServer_Export void | operator<<= (CORBA::Any &, PortableServer::POA::AdapterAlreadyExists *)
TAO_PortableServer_Export CORBA::Boolean | operator>>= (const CORBA::Any &, PortableServer::POA::AdapterAlreadyExists *&)
TAO_PortableServer_Export CORBA::Boolean | operator>>= (const CORBA::Any &, const PortableServer::POA::AdapterAlreadyExists *&)
TAO_PortableServer_Export void | operator<<= (CORBA::Any &, const PortableServer::POA::AdapterNonExistent &)
TAO_PortableServer_Export void | operator<<= (CORBA::Any &, PortableServer::POA::AdapterNonExistent *)
TAO_PortableServer_Export CORBA::Boolean | operator>>= (const CORBA::Any &, PortableServer::POA::AdapterNonExistent *&)
TAO_PortableServer_Export CORBA::Boolean | operator>>= (const CORBA::Any &, const PortableServer::POA::AdapterNonExistent *&)
TAO_PortableServer_Export void | operator<<= (CORBA::Any &, const PortableServer::POA::InvalidPolicy &)
TAO_PortableServer_Export void | operator<<= (CORBA::Any &, PortableServer::POA::InvalidPolicy *)
TAO_PortableServer_Export CORBA::Boolean | operator>>= (const CORBA::Any &, PortableServer::POA::InvalidPolicy *&)
TAO_PortableServer_Export CORBA::Boolean | operator>>= (const CORBA::Any &, const PortableServer::POA::InvalidPolicy *&)
TAO_PortableServer_Export void | operator<<= (CORBA::Any &, const PortableServer::POA::NoServant &)
TAO_PortableServer_Export void | operator<<= (CORBA::Any &, PortableServer::POA::NoServant *)
TAO_PortableServer_Export CORBA::Boolean | operator>>= (const CORBA::Any &, PortableServer::POA::NoServant *&)
TAO_PortableServer_Export CORBA::Boolean | operator>>= (const CORBA::Any &, const PortableServer::POA::NoServant *&)
TAO_PortableServer_Export void | operator<<= (CORBA::Any &, const PortableServer::POA::ObjectAlreadyActive &)
TAO_PortableServer_Export void | operator<<= (CORBA::Any &, PortableServer::POA::ObjectAlreadyActive *)
TAO_PortableServer_Export CORBA::Boolean | operator>>= (const CORBA::Any &, PortableServer::POA::ObjectAlreadyActive *&)
TAO_PortableServer_Export CORBA::Boolean | operator>>= (const CORBA::Any &, const PortableServer::POA::ObjectAlreadyActive *&)
TAO_PortableServer_Export void | operator<<= (CORBA::Any &, const PortableServer::POA::ObjectNotActive &)
TAO_PortableServer_Export void | operator<<= (CORBA::Any &, PortableServer::POA::ObjectNotActive *)
TAO_PortableServer_Export CORBA::Boolean | operator>>= (const CORBA::Any &, PortableServer::POA::ObjectNotActive *&)
TAO_PortableServer_Export CORBA::Boolean | operator>>= (const CORBA::Any &, const PortableServer::POA::ObjectNotActive *&)
TAO_PortableServer_Export void | operator<<= (CORBA::Any &, const PortableServer::POA::ServantAlreadyActive &)
TAO_PortableServer_Export void | operator<<= (CORBA::Any &, PortableServer::POA::ServantAlreadyActive *)
TAO_PortableServer_Export CORBA::Boolean | operator>>= (const CORBA::Any &, PortableServer::POA::ServantAlreadyActive *&)
TAO_PortableServer_Export CORBA::Boolean | operator>>= (const CORBA::Any &, const PortableServer::POA::ServantAlreadyActive *&)
TAO_PortableServer_Export void | operator<<= (CORBA::Any &, const PortableServer::POA::ServantNotActive &)
TAO_PortableServer_Export void | operator<<= (CORBA::Any &, PortableServer::POA::ServantNotActive *)
TAO_PortableServer_Export CORBA::Boolean | operator>>= (const CORBA::Any &, PortableServer::POA::ServantNotActive *&)
TAO_PortableServer_Export CORBA::Boolean | operator>>= (const CORBA::Any &, const PortableServer::POA::ServantNotActive *&)
TAO_PortableServer_Export void | operator<<= (CORBA::Any &, const PortableServer::POA::WrongAdapter &)
TAO_PortableServer_Export void | operator<<= (CORBA::Any &, PortableServer::POA::WrongAdapter *)
TAO_PortableServer_Export CORBA::Boolean | operator>>= (const CORBA::Any &, PortableServer::POA::WrongAdapter *&)
TAO_PortableServer_Export CORBA::Boolean | operator>>= (const CORBA::Any &, const PortableServer::POA::WrongAdapter *&)
TAO_PortableServer_Export void | operator<<= (CORBA::Any &, const PortableServer::POA::WrongPolicy &)
TAO_PortableServer_Export void | operator<<= (CORBA::Any &, PortableServer::POA::WrongPolicy *)
TAO_PortableServer_Export CORBA::Boolean | operator>>= (const CORBA::Any &, PortableServer::POA::WrongPolicy *&)
TAO_PortableServer_Export CORBA::Boolean | operator>>= (const CORBA::Any &, const PortableServer::POA::WrongPolicy *&)
## Variables
TAO_PortableServer_Export::CORBA::TypeCode_ptr const | PortableServer::_tc_POAList
const CORBA::PolicyType | PortableServer::THREAD_POLICY_ID = 16U
const CORBA::PolicyType | PortableServer::LIFESPAN_POLICY_ID = 17U
const CORBA::PolicyType | PortableServer::ID_UNIQUENESS_POLICY_ID = 18U
const CORBA::PolicyType | PortableServer::ID_ASSIGNMENT_POLICY_ID = 19U
const CORBA::PolicyType | PortableServer::IMPLICIT_ACTIVATION_POLICY_ID = 20U
const CORBA::PolicyType | PortableServer::SERVANT_RETENTION_POLICY_ID = 21U
const CORBA::PolicyType | PortableServer::REQUEST_PROCESSING_POLICY_ID = 22U
TAO_PortableServer_Export::CORBA::TypeCode_ptr const | PortableServer::_tc_POA

## Define Documentation

#define _PORTABLESERVER_ADAPTERACTIVATOR__TRAITS_

#define _PORTABLESERVER_ADAPTERACTIVATOR__VAR_OUT_CH_

#define _PORTABLESERVER_POA__TRAITS_

#define _PORTABLESERVER_POA_ADAPTERALREADYEXISTS_CH_

#define _PORTABLESERVER_POA_ADAPTERNONEXISTENT_CH_

#define _PORTABLESERVER_POA_CH_

#define _PORTABLESERVER_POA_INVALIDPOLICY_CH_

#define _PORTABLESERVER_POA_NOSERVANT_CH_

#define _PORTABLESERVER_POA_OBJECTALREADYACTIVE_CH_

#define _PORTABLESERVER_POA_OBJECTNOTACTIVE_CH_

#define _PORTABLESERVER_POA_SERVANTALREADYACTIVE_CH_

#define _PORTABLESERVER_POA_SERVANTNOTACTIVE_CH_

#define _PORTABLESERVER_POA_WRONGADAPTER_CH_

#define _PORTABLESERVER_POA_WRONGPOLICY_CH_

#define _PORTABLESERVER_POALIST_CH_

#define _PORTABLESERVER_POAMANAGER__TRAITS_

#define _PORTABLESERVER_POAMANAGER__VAR_OUT_CH_

#define _PORTABLESERVER_SERVANTMANAGER__TRAITS_

#define _PORTABLESERVER_SERVANTMANAGER__VAR_OUT_CH_

#define TAO_EXPORT_MACRO TAO_PortableServer_Export

## Function Documentation

TAO_PortableServer_Export void operator<<= | ( | CORBA::Any & | ,
|  | PortableServer::POA::WrongPolicy * |  |
| ) |  |  |

TAO_PortableServer_Export void operator<<= | ( | CORBA::Any & | ,
|  | const PortableServer::POA::WrongPolicy & |  |
| ) |  |  |

TAO_PortableServer_Export void operator<<= | ( | CORBA::Any & | ,
|  | PortableServer::POA::WrongAdapter * |  |
| ) |  |  |

TAO_PortableServer_Export void operator<<= | ( | CORBA::Any & | ,
|  | const PortableServer::POA::WrongAdapter & |  |
| ) |  |  |

TAO_PortableServer_Export void operator<<= | ( | CORBA::Any & | ,
|  | PortableServer::POA::ServantNotActive * |  |
| ) |  |  |

TAO_PortableServer_Export void operator<<= | ( | CORBA::Any & | ,
|  | const PortableServer::POA::ServantNotActive & |  |
| ) |  |  |

TAO_PortableServer_Export void operator<<= | ( | CORBA::Any & | ,
|  | PortableServer::POA::ServantAlreadyActive * |  |
| ) |  |  |

TAO_PortableServer_Export void operator<<= | ( | CORBA::Any & | ,
|  | const PortableServer::POA::ServantAlreadyActive & |  |
| ) |  |  |

TAO_PortableServer_Export void operator<<= | ( | CORBA::Any & | ,
|  | PortableServer::POA::ObjectNotActive * |  |
| ) |  |  |

TAO_PortableServer_Export void operator<<= | ( | CORBA::Any & | ,
|  | const PortableServer::POA::ObjectNotActive & |  |
| ) |  |  |

TAO_PortableServer_Export void operator<<= | ( | CORBA::Any & | ,
|  | PortableServer::POA::ObjectAlreadyActive * |  |
| ) |  |  |

TAO_PortableServer_Export void operator<<= | ( | CORBA::Any & | ,
|  | const PortableServer::POA::ObjectAlreadyActive & |  |
| ) |  |  |

TAO_PortableServer_Export void operator<<= | ( | CORBA::Any & | ,
|  | PortableServer::POA::NoServant * |  |
| ) |  |  |

TAO_PortableServer_Export void operator<<= | ( | CORBA::Any & | ,
|  | const PortableServer::POA::NoServant & |  |
| ) |  |  |

TAO_PortableServer_Export void operator<<= | ( | CORBA::Any & | ,
|  | PortableServer::POA::InvalidPolicy * |  |
| ) |  |  |

TAO_PortableServer_Export void operator<<= | ( | CORBA::Any & | ,
|  | const PortableServer::POA::InvalidPolicy & |  |
| ) |  |  |

TAO_PortableServer_Export void operator<<= | ( | CORBA::Any & | ,
|  | PortableServer::POA::AdapterNonExistent * |  |
| ) |  |  |

TAO_PortableServer_Export void operator<<= | ( | CORBA::Any & | ,
|  | const PortableServer::POA::AdapterNonExistent & |  |
| ) |  |  |

TAO_PortableServer_Export void operator<<= | ( | CORBA::Any & | ,
|  | PortableServer::POA::AdapterAlreadyExists * |  |
| ) |  |  |

TAO_PortableServer_Export void operator<<= | ( | CORBA::Any & | ,
|  | const PortableServer::POA::AdapterAlreadyExists & |  |
| ) |  |  |

TAO_PortableServer_Export void operator<<= | ( | CORBA::Any & | ,
|  | PortableServer::POA_ptr * |  |
| ) |  |  |

TAO_PortableServer_Export void operator<<= | ( | CORBA::Any & | ,
|  | PortableServer::POA_ptr |  |
| ) |  |  |

TAO_PortableServer_Export void operator<<= | ( | CORBA::Any & | ,
|  | PortableServer::POAList * |  |
| ) |  |  |

TAO_PortableServer_Export void operator<<= | ( | CORBA::Any & | ,
|  | const PortableServer::POAList & |  |
| ) |  |  |

TAO_PortableServer_Export CORBA::Boolean operator>>= | ( | const CORBA::Any & | ,
|  | const PortableServer::POA::WrongPolicy *& |  |
| ) |  |  |

TAO_PortableServer_Export CORBA::Boolean operator>>= | ( | const CORBA::Any & | ,
|  | PortableServer::POA::WrongPolicy *& |  |
| ) |  |  |

TAO_PortableServer_Export CORBA::Boolean operator>>= | ( | const CORBA::Any & | ,
|  | const PortableServer::POA::WrongAdapter *& |  |
| ) |  |  |

TAO_PortableServer_Export CORBA::Boolean operator>>= | ( | const CORBA::Any & | ,
|  | PortableServer::POA::WrongAdapter *& |  |
| ) |  |  |

TAO_PortableServer_Export CORBA::Boolean operator>>= | ( | const CORBA::Any & | ,
|  | const PortableServer::POA::ServantNotActive *& |  |
| ) |  |  |

TAO_PortableServer_Export CORBA::Boolean operator>>= | ( | const CORBA::Any & | ,
|  | PortableServer::POA::ServantNotActive *& |  |
| ) |  |  |

TAO_PortableServer_Export CORBA::Boolean operator>>= | ( | const CORBA::Any & | ,
|  | const PortableServer::POA::ServantAlreadyActive *& |  |
| ) |  |  |

TAO_PortableServer_Export CORBA::Boolean operator>>= | ( | const CORBA::Any & | ,
|  | PortableServer::POA::ServantAlreadyActive *& |  |
| ) |  |  |

TAO_PortableServer_Export CORBA::Boolean operator>>= | ( | const CORBA::Any & | ,
|  | const PortableServer::POA::ObjectNotActive *& |  |
| ) |  |  |

TAO_PortableServer_Export CORBA::Boolean operator>>= | ( | const CORBA::Any & | ,
|  | PortableServer::POA::ObjectNotActive *& |  |
| ) |  |  |

TAO_PortableServer_Export CORBA::Boolean operator>>= | ( | const CORBA::Any & | ,
|  | const PortableServer::POA::ObjectAlreadyActive *& |  |
| ) |  |  |

TAO_PortableServer_Export CORBA::Boolean operator>>= | ( | const CORBA::Any & | ,
|  | PortableServer::POA::ObjectAlreadyActive *& |  |
| ) |  |  |

TAO_PortableServer_Export CORBA::Boolean operator>>= | ( | const CORBA::Any & | ,
|  | const PortableServer::POA::NoServant *& |  |
| ) |  |  |

TAO_PortableServer_Export CORBA::Boolean operator>>= | ( | const CORBA::Any & | ,
|  | PortableServer::POA::NoServant *& |  |
| ) |  |  |

TAO_PortableServer_Export CORBA::Boolean operator>>= | ( | const CORBA::Any & | ,
|  | const PortableServer::POA::InvalidPolicy *& |  |
| ) |  |  |

TAO_PortableServer_Export CORBA::Boolean operator>>= | ( | const CORBA::Any & | ,
|  | PortableServer::POA::InvalidPolicy *& |  |
| ) |  |  |

TAO_PortableServer_Export CORBA::Boolean operator>>= | ( | const CORBA::Any & | ,
|  | const PortableServer::POA::AdapterNonExistent *& |  |
| ) |  |  |

TAO_PortableServer_Export CORBA::Boolean operator>>= | ( | const CORBA::Any & | ,
|  | PortableServer::POA::AdapterNonExistent *& |  |
| ) |  |  |

TAO_PortableServer_Export CORBA::Boolean operator>>= | ( | const CORBA::Any & | ,
|  | const PortableServer::POA::AdapterAlreadyExists *& |  |
| ) |  |  |

TAO_PortableServer_Export CORBA::Boolean operator>>= | ( | const CORBA::Any & | ,
|  | PortableServer::POA::AdapterAlreadyExists *& |  |
| ) |  |  |

TAO_PortableServer_Export CORBA::Boolean operator>>= | ( | const CORBA::Any & | ,
|  | PortableServer::POA_ptr & |  |
| ) |  |  |

TAO_PortableServer_Export CORBA::Boolean operator>>= | ( | const CORBA::Any & | ,
|  | const PortableServer::POAList *& |  |
| ) |  |  |

TAO_PortableServer_Export CORBA::Boolean operator>>= | ( | const CORBA::Any & | ,
|  | PortableServer::POAList *& |  |
| ) |  |  |